summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2017-02-26 19:15:38 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2017-02-26 19:37:24 +0100
commitb08cfc53ed4347044930547b016e48669f6b691f (patch)
treed9abce465ca196b887043018b0d5df388a65e46e /app-text/libstaroffice
parentapp-admin/pass: version bump (diff)
downloadgentoo-b08cfc53ed4347044930547b016e48669f6b691f.tar.gz
gentoo-b08cfc53ed4347044930547b016e48669f6b691f.tar.bz2
gentoo-b08cfc53ed4347044930547b016e48669f6b691f.zip
app-text/libstaroffice: 0.0.3 version bump
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'app-text/libstaroffice')
-rw-r--r--app-text/libstaroffice/Manifest1
-rw-r--r--app-text/libstaroffice/libstaroffice-0.0.3.ebuild46
-rw-r--r--app-text/libstaroffice/libstaroffice-9999.ebuild2
3 files changed, 48 insertions, 1 deletions
diff --git a/app-text/libstaroffice/Manifest b/app-text/libstaroffice/Manifest
index 9fb791f9411..bd24fd76c84 100644
--- a/app-text/libstaroffice/Manifest
+++ b/app-text/libstaroffice/Manifest
@@ -1 +1,2 @@
DIST libstaroffice-0.0.2.tar.bz2 886950 SHA256 f06eb29d13357f1aa1944de0be1162de05d9f9333b5f54e9bf762415029a8899 SHA512 dc66324dd8b365db73ea6dea16188b808648970311d443f09302648ab6b3d27c95e91f09f2be6d0d8ef173d8c5129afe6d493b1e2664dbe229553060142858e8 WHIRLPOOL 8a4b1baafea2d9cb38520e234c0b3e03a16d7fc479ff8f8807e19c9f7fd8d34536fdffb7426f85406e559c22e3196dab90238aad0b36fc63e8c7ca82bab3d59d
+DIST libstaroffice-0.0.3.tar.xz 679800 SHA256 bedeec104b4cc3896b3dfd1976dda5ce7392d1942bf8f5d2f7d796cc47e422c6 SHA512 ea60576537761a5b969a861ac43c8d4a9da5e5261d0a31f3d7743f8507e6979ccd4cba1784e8c3d909c08b692349ae11e87428834fd3df5b8d56e423caa7bcd8 WHIRLPOOL c8ba69eb347aa0c77f886511d79dba5011aa0ff25c3e9f4ec4af31b8b9303fd9dc1df32742bbc3c87d2a7fba32a7f830fdc3a38ca391559038388f4d97afe9af
diff --git a/app-text/libstaroffice/libstaroffice-0.0.3.ebuild b/app-text/libstaroffice/libstaroffice-0.0.3.ebuild
new file mode 100644
index 00000000000..1f95c9155aa
--- /dev/null
+++ b/app-text/libstaroffice/libstaroffice-0.0.3.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+EGIT_REPO_URI="https://github.com/fosnola/libstaroffice.git"
+[[ ${PV} == 9999 ]] && inherit git-r3 autotools
+
+DESCRIPTION="Import filter for old StarOffice documents"
+HOMEPAGE="https://github.com/fosnola/libstaroffice"
+[[ ${PV} == 9999 ]] || SRC_URI="http://dev-www.libreoffice.org/src/${P}.tar.xz"
+
+LICENSE="|| ( LGPL-2.1+ MPL-2.0 )"
+SLOT="0"
+[[ ${PV} == 9999 ]] || \
+KEYWORDS="~amd64 ~x86"
+
+IUSE="debug doc tools +zlib"
+
+RDEPEND="
+ dev-libs/librevenge
+ zlib? ( sys-libs/zlib )
+"
+DEPEND="${RDEPEND}
+ doc? ( app-doc/doxygen )
+"
+
+src_prepare() {
+ default
+ [[ ${PV} == 9999 ]] && eautoreconf
+}
+
+src_configure() {
+ econf \
+ --disable-werror \
+ $(use_enable debug) \
+ $(use_with doc docs) \
+ $(use_enable tools) \
+ $(use_enable zlib zip)
+}
+
+src_install() {
+ default
+ find "${D}" -name '*.la' -delete || die
+}
diff --git a/app-text/libstaroffice/libstaroffice-9999.ebuild b/app-text/libstaroffice/libstaroffice-9999.ebuild
index 620e724c76e..1f95c9155aa 100644
--- a/app-text/libstaroffice/libstaroffice-9999.ebuild
+++ b/app-text/libstaroffice/libstaroffice-9999.ebuild
@@ -9,7 +9,7 @@ EGIT_REPO_URI="https://github.com/fosnola/libstaroffice.git"
DESCRIPTION="Import filter for old StarOffice documents"
HOMEPAGE="https://github.com/fosnola/libstaroffice"
-[[ ${PV} == 9999 ]] || SRC_URI="http://dev-www.libreoffice.org/src/${P}.tar.bz2"
+[[ ${PV} == 9999 ]] || SRC_URI="http://dev-www.libreoffice.org/src/${P}.tar.xz"
LICENSE="|| ( LGPL-2.1+ MPL-2.0 )"
SLOT="0"